aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorficus <ficus@robocracy.org>2012-11-22 23:53:36 +0100
committerficus <ficus@robocracy.org>2012-11-22 23:53:36 +0100
commit916518ae90db70405639480fde9c66300b2fce54 (patch)
treeef11f6f63a63acf7bff79e3e849e90891da3d98b
parentaab7e3339c057715f5f29ef6c1a1c50039543838 (diff)
downloadtorouter-live-916518ae90db70405639480fde9c66300b2fce54.tar.gz
torouter-live-916518ae90db70405639480fde9c66300b2fce54.zip
fix depmod processing
-rwxr-xr-xconfig/hooks/depmod.sh.chroot11
1 files changed, 11 insertions, 0 deletions
diff --git a/config/hooks/depmod.sh.chroot b/config/hooks/depmod.sh.chroot
new file mode 100755
index 0000000..eb28a0c
--- /dev/null
+++ b/config/hooks/depmod.sh.chroot
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Need to run depmod after hacking in uap8xxx.ko (DreamPlug WiFi).
+#
+# Unfortunately, this build step is relatively slow :(
+set -e
+
+echo "It's depmod time!"
+KERNELVERSION=`ls /boot/vmlinuz-* | sed -e "s/\/boot\/vmlinuz-//"`
+dpkg-reconfigure linux-image-$KERNELVERSION
+